
' ----------------------------------------------------------------------------------------------------------------------------------------------------------
' Setup Studio 2.6 COPYRIGHT 1993-1995 HEXANET - Header file for Visual Basic (r) and Basic like languages
' ----------------------------------------------------------------------------------------------------------------------------------------------------------
' Please, Copy this file into your Global.bas module
' For more information, see CSETUP.H or CSETUP.HLP
' Use this file with CSETUP.DLL.
'
' ----------------------------------------------------------------------------------------------------------------------------------------------------------
'
' Warning:
' Whith VB 1.0 I can' t load CSETUP.DLL if the file is not in the Windows\System directory.
' To avoid this problem, rename CSETUP.DLL into CSETUP.VBX and replace CSETUP.DLL with
' CSETUP.VBX in this file. Thanks to SETUP.EXE and SETUP.LST, CSETUP.VBX will be copied
' to the correct diretory.
'
' ----------------------------------------------------------------------------------------------------------------------------------------------------------

' ---------------------------
' Special for this version
' ---------------------------
Declare Function GetModuleHandle Lib "KERNEL.DLL" (ByVal lpszModuleName$) As Integer
Declare Function Ctl3dRegister Lib "CTL3D.DLL" (ByVal hIntanceApp%) As Integer
Declare Function Ctl3dUnregister Lib "CTL3D.DLL" (ByVal hIntanceApp%) As Integer
Declare Function Ctl3dAutoSubclass Lib "CTL3D.DLL" (ByVal hIntanceApp%) As Integer
Declare Function BringWindowToTop Lib "USER.EXE" (ByVal hwnd%) As Integer
Declare Function GetActiveWindow Lib "USER.EXE" () As Integer
Declare Function GetProfileString Lib "KERNEL.DLL" (ByVal lpszSection$, ByVal lpszEntry$, ByVal lpszDefault$, ByVal lpszReturnBuffer$, ByVal cbReturnBuffer%) As Integer
Declare Function GetPrivateProfileString Lib "KERNEL.DLL" (ByVal szSection$, ByVal szKey$, ByVal szDefault$, ByVal szBuffer$, ByVal iCount%, ByVal szFile$) As Integer
Declare Function GetWindowsDirectory Lib "KERNEL.DLL" (ByVal szWinDir$, ByVal iCount%) As Integer
Declare Function WinHelp Lib "USER.EXE" (ByVal hwnd%, ByVal szHelpFile$, ByVal fuCommand%, ByVal lCode&) As Integer



'----------------------------
' Initialization function
'----------------------------
Declare Sub SetupInitForFunctions Lib "CSETUP.DLL" (ByVal szYourName$, ByVal szPassword$)       '[new]

'---------------------------
' 1 - Information functions
'---------------------------


'-------------------------------------
' General System information functions
'-------------------------------------
Global Const BDETECT_WIN386 = 0                 ' 386 mode
Global Const BDETECT_VGA640 = 1                 ' VGA 640 pixels at least
Global Const BDETECT_VGA800 = 2                 ' VGA 800 pixels at least
Global Const BDETECT_VGA1024 = 3                ' VGA 1024 pixels at least
Global Const BDETECT_16COLORS = 4               ' 16 colors at least
Global Const BDETECT_256COLORS = 5              ' 256 colors at least
Global Const BDETECT_COPRO = 6                  ' Math. coprocessor
Global Const BDETECT_286 = 7                    ' 286 CPU
Global Const BDETECT_386 = 8                    ' 386 CPU
Global Const BDETECT_486 = 9                    ' 486 CPU
Global Const BDETECT_MOUSE = 10                 ' Mouse
Declare Function bDetect Lib "CSETUP.dll" (ByVal CVALUE%) As Integer

Global Const LDETECT_BUFFERS = 0                ' Buffers declared in CONFIG.SYS
Global Const LDETECT_FILES = 1                  ' Files declared in CONFIG.SYS
Global Const LDETECT_DRIVES = 2                 ' Number of drives
Global Const LDETECT_FREERES = 3                ' Free system resources available ( percent )
Global Const LDETECT_FREERAM = 4                ' Free memory available
Declare Function lDetect Lib "CSETUP.dll" (ByVal CVALUE%) As Long


'------------------------------
' Drives information functions
'------------------------------
Global Const DRIVETYPE_REMOTE = 0               ' Network unit
Global Const DRIVETYPE_FIXED = 1                ' HD
Global Const DRIVETYPE_REMOVABLE = 2            ' FD
Global Const DRIVETYPE_UNKNOWN = 3              ' Unknown type

Declare Function AskForDriveType Lib "CSETUP.dll" (ByVal drive%) As Integer
Declare Function AskForDriveSpace Lib "CSETUP.dll" (ByVal drive%) As Long
Declare Function IsDriveValid Lib "CSETUP.dll" (ByVal szDriveLetter$) As Integer
Declare Function GetDriveNumber Lib "CSETUP.DLL" (ByVal szPath$) As Integer




'--------------------------------
' Directory information functions
'--------------------------------
'The following functions were removed (we use the SDK instead)...
'Declare Function AskForWinDir Lib "CSETUP.dll" () As String
'Declare Function AskForWinSysDir Lib "CSETUP.dll" () As String
Declare Function DoesDirExist Lib "CSETUP.dll" (ByVal szDirName$) As Integer



'----------------------------
' Files information functions
'----------------------------
Declare Function DoesFileExist Lib "CSETUP.dll" (ByVal szFileName$, ByVal FormalSearch%) As Integer
Declare Function GetAbsoluteFileName Lib "CSETUP.dll" (ByVal szFileName$, ByVal szBuffer$) As Integer 'changed (2.5)
'Declare Sub VBGetAbsoluteFileName Lib "CSETUP.dll" (ByVal szFileName$, ByVal szBuffer$)


'--------------------------------------------
' Module ( DLL or EXE ) information functions
'---------------------------------------------
Declare Function CountModuleUsage Lib "CSETUP.dll" (ByVal szModule$) As Integer
Declare Function IsDLLLoaded Lib "CSETUP.dll" (ByVal szModule$) As Integer



'--------------------------------------------
' Environment information functions
'--------------------------------------------
'Following function is not available with VB (see SSTUDIO.HLP for details)...
Declare Function GetEnvVariable Lib "CSETUP.dll" (ByVal szVariableName$, ByVal szBuffer$) As Integer 'changed (2.5)
'Declare Sub VBGetEnvVariable Lib "CSETUP.dll" (ByVal szVariableName$, ByVal szBuffer$)
Declare Function CountPathsInPATH Lib "CSETUP.dll" () As Integer
'Following function is not available with VB (see SSTUDIO.HLP for details)...
Declare Function GetPathFromPATH Lib "CSETUP.dll" (ByVal iPath%, ByVal szBuffer$) As Integer 'changed (2.5)
'Declare Sub VBGetPathFromPATH Lib "CSETUP.dll" (ByVal iPath%, ByVal szBuffer$)


'--------------------------------------
' 2 - Low level file and dir managment
'--------------------------------------

'--------------
' Binary files
'--------------
Declare Function RenameFile Lib "CSETUP.dll" (ByVal szOldFile$, ByVal szNewFile$) As Integer
Declare Function DeleteFile Lib "CSETUP.dll" (ByVal szFile$) As Integer
Declare Function TouchFile Lib "CSETUP.dll" (ByVal szFileName$, ByVal szNewDate$) As Integer
Declare Function SetReadOnly Lib "CSETUP.dll" (ByVal szFileName$, ByVal bRO%) As Integer
Declare Function GetFileLength Lib "CSETUP.dll" (ByVal szFileName$) As Long
Declare Function CopyFile Lib "CSETUP.dll" (ByVal szSrcFile$, ByVal szDestFile$) As Integer
Declare Function ReCreateFile Lib "CSETUP.dll" (ByVal szOriginalName$, ByVal szPieceFileName$) As Integer


'-------------
' Ascii files
'-------------
Declare Function CreateAsciiFile Lib "CSETUP.dll" (ByVal szFileName$) As Integer
Declare Function CountFileLines Lib "CSETUP.dll" (ByVal szFileName$) As Long
'Following function is not available with VB (see SSTUDIO.HLP for details)...
Declare Function GetStringFromFile Lib "CSETUP.dll" (ByVal szFileName$, ByVal lIndex As Long, ByVal szBuffer$) As Integer 'changed (2.5)
'Declare Sub VBGetStringFromFile Lib "CSETUP.dll" (ByVal szFileName$, ByVal lIndex As Long, ByVal szBuffer$)
Declare Function GetLineFromString Lib "CSETUP.dll" (ByVal szFileName$, ByVal szString$, ByVal lStart As Long) As Long
Declare Function FindStringInTextFile Lib "CSETUP.dll" (ByVal szFileName$, ByVal szString$) As Integer
Declare Function DeleteString Lib "CSETUP.dll" (ByVal szFile$, ByVal iIndex%) As Integer
Declare Function AddString Lib "CSETUP.dll" (ByVal szFile$, ByVal szValue$) As Integer
Declare Function SetLineInFile Lib "CSETUP.dll" (ByVal szFileName$, ByVal szString$, ByVal lIndex As Long) As Integer



'-------------------------------
' Directory managment functions
'-------------------------------
Declare Function CreateDir Lib "CSETUP.dll" (ByVal szDirName$) As Integer
Declare Function DeleteDir Lib "CSETUP.dll" (ByVal szDirName$) As Integer



'----------------------------------------------------------------------
' 3 - SDK similar functions useful for Setup programms ( for VB users )
'----------------------------------------------------------------------


'---------------------
' INI files managment
'---------------------
Declare Function GetWinIniInt Lib "CSETUP.dll" (ByVal szSection$, ByVal szKey$, ByVal iDefault%) As Integer
Declare Function GetWinIniString Lib "CSETUP.dll" (ByVal szSection$, ByVal szKey$, ByVal szDefault$, ByVal szBuffer$) As Integer 'changed (2.5)
Declare Function GetIniInt Lib "CSETUP.dll" (ByVal szFile$, ByVal szSection$, ByVal szKey$, ByVal iDefault) As Integer
Declare Function GetIniString Lib "CSETUP.dll" (ByVal szFile$, ByVal szSection$, ByVal szKey$, ByVal szDefault$, ByVal szBuffer$) As Integer 'changed (2.5)
Declare Function SetWinnIniString Lib "CSETUP.dll" (ByVal szSection$, ByVal szKey$, ByVal szValue$) As Integer
Declare Function SetIniString Lib "CSETUP.dll" (ByVal szFile$, ByVal szSection$, ByVal szKey$, ByVal szValue$) As Integer


'---------------------
' Programms execution
'---------------------
Global Const RESTART_QUIT = 0
Global Const RESTART_REBOOT = &H43
Global Const RESTART_RESTART = &H42

Declare Sub QuitWindows Lib "CSETUP.dll" (ByVal cMode%)

Global Const APPEXECUTE_SNORMAL = 0               ' Show normal and activate app.
Global Const APPEXECUTE_SICON = 1                 ' Show iconized and activate app.
Global Const APPEXECUTE_SMAX = 2                  ' Show maximized and activate app
Global Const APPEXECUTE_SNOACTIVATE = 3           ' Show normal and do not activate app.

Declare Function AppExecute Lib "CSETUP.dll" (ByVal szAppName$, ByVal cShowMode%) As Integer
Declare Function DosTempExec Lib "CSETUP.dll" (ByVal szAppName$, ByVal szParams$) As Integer



'----------------------------
' 4 - Setup specific helpers
'----------------------------
' Note:
'
'   These functions may help you to create the Setup Interface before the files transfer.
'   You need to initialise the DLL before any call to these functions
'
'----------------------------

'----------------------
' Sections information
'----------------------
Declare Function GetSectionSize Lib "CSETUP.dll" (ByVal szSectionName$) As Long
Declare Function GetConfigurationSize Lib "CSETUP.dll" () As Long


'--------------------------------------------------------------
' File name mangment ( useful to create Parsed Edit controls )
'--------------------------------------------------------------
Global Const FILENAME_SINGLEFILE = 0                    ' Filename must not contain directory specification
Global Const FILENAME_DIRWITHSLASH = 1                  ' Dirname must contain a final \
Global Const FILENAME_DIRWITHOUTSLASH = 2               ' Dirname must not contain a final \
Global Const FILENAME_DIRANDFILE = 3                    ' Dirname + Filename

Global Const CHECK_NOCHECK = 0                          ' No check
Global Const CHECK_FILEEXIST = 1                        ' The file must exist
Global Const CHECK_ROOTDIRSEXIST = 2                    ' All root directories ( without the last ) must exist
Global Const CHECK_ALLDIREXIST = 3                      ' All directories must exist
Global Const CHECK_DIRANDFILE = 4                       ' All directories and the file must exist
		    
Declare Function IsFileName Lib "CSETUP.dll" (ByVal szFileName$, ByVal IsFileType%, ByVal iCheckMode%) As Integer
'Following function is not available with VB (see SSTUDIO.HLP for details)...
Declare Function FormatFileNameValid Lib "CSETUP.dll" (ByVal szFileNameIn$, ByVal bWithFinalSlash%, ByVal szBuffer$) As Integer 'changed (2.5)
'Declare Sub VBFormatFileNameValid Lib "CSETUP.dll" (ByVal szFileNameIn$, ByVal bWithFinalSlash%, ByVal szBuffer$)


'----------------------------
' Setup specific directories
' You probably don' t need to
' use these functions
'----------------------------
Declare Sub GetOriginalDir Lib "CSETUP.dll" (ByVal szBuffer$)
Declare Sub GetSetupTempDir Lib "CSETUP.dll" (ByVal szBuffer$)




'--------------------------------
' 5 - Setup high level functions
'--------------------------------
' Note:
'
'     You need to initialise the DLL before any call to these functions
'
'--------------------------------
'
'    Many functions are not required to create a setup programm.
'    At least you should call:
'
'       SetupInitialize( "TEST", "")                    ----> Initialize the DLL
'       AddSectionToCopyList( "Files", "dir" )          ----> Choose a Section to copy
'       DeleteSystemDir()                               ----> To clean up the drive
'
'--------------------------------
	       
	       
'--------------------------
' Initialization functions
'--------------------------
Declare Function SetupInitialize Lib "CSETUP.dll" (ByVal szYourName As String, ByVal szPassword As String, ByVal Language%, ByVal szSrcDir$, ByVal szDestDir$) As Integer
Declare Function SetLogFile Lib "CSETUP.dll" (ByVal szLogFileName$) As Integer
Declare Function SetSharedBatchFile Lib "CSETUP.dll" (ByVal szBatchFileName$, ByVal szSysDir$) As Integer
		     
		     
'-----------------------------------
' DDE Link with Progman functions
'-----------------------------------
Declare Sub AddItemToProgman Lib "CSETUP.dll" (ByVal szGroupName$, ByVal szExeName$, ByVal szTitle$, ByVal szTextInfo$)
Declare Function AddProgmanGroup Lib "CSETUP.dll" (ByVal szGroupName$) As Integer
Declare Function ShowProgmanGroup Lib "CSETUP.dll" (ByVal szGroupName$) As Integer
Declare Function DeleteProgmanGroup Lib "CSETUP.dll" (ByVal szGroupName$) As Integer
Declare Function AddProgmanItem Lib "CSETUP.dll" (ByVal szProgName$, ByVal szTitle$) As Integer
Declare Function DeleteProgmanItem Lib "CSETUP.dll" (ByVal szItemName$) As Integer
Declare Function QuitProgman Lib "CSETUP.dll" () As Integer
		     
'--------------------
' Specific functions
'--------------------
Declare Function AddSectionToCopyList Lib "CSETUP.dll" (ByVal szSection$, ByVal szDestDir$) As Integer

' These are the values returned by GoSetup Function -----------
Global Const SETUP_SUCCESSFUL = 1               ' Transfert is OK
Global Const SETUP_USERBYPASS = 2               ' User bypassed a file
Global Const SETUP_FAILINCOPYING = 3            ' Fail in copy ( fatal )
Global Const SETUP_USERABORT = 4                ' User abort transfer ( fatal )
Global Const SETUP_CANTCREATEDIR = 5            ' Can' t create destination directoy ( fatal )
Global Const SETUP_WRONGSIZE = 6                ' File size verification error ( Verify mode only - fatal )
Global Const SETUP_INTERNALERROR = 7            ' Error in YOUR programm... ( fatal )

' These are the messages sent by GoSetup Function to hwnd---------
'Global Const    SN_FILENOTFOUND=        WM_USER + 381   ' File not found in disk - not fatal - lp is FileName
'Global Const    SN_SRCDIRCHANGE=        WM_USER + 382   ' User change source directory - retrieve new dir with AskForSrcDir
'Global Const    SN_NEWDISKREQUIRED=     WM_USER + 383   ' Dialog box " New disk required is shown " - lp = new disk label
'Global Const    SN_FILEINSTALLED=       WM_USER + 384   ' File is installed - lp is destination filename


Declare Function GoSetup Lib "CSETUP.dll" (ByVal hwnd%, ByVal bUseFinish%) As Integer
Declare Function DeleteSystemDir Lib "CSETUP.dll" () As Integer
'Following function is not available with VB (see SSTUDIO.HLP for details)...
Declare Function GetWinFileAssociation Lib "CSETUP.dll" (ByVal szFileExtName$, ByVal szBuffer$) As Integer 'changed (2.5)
'Declare Sub VBGetWinFileAssociation Lib "CSETUP.dll" (ByVal szFileExtName$, ByVal szBuffer$ )

Declare Function CreateWinFileAssociation Lib "CSETUP.dll" (ByVal szFileExtName$, ByVal szExeFile$) As Integer
Declare Function ShowWaitCursor Lib "CSETUP.dll" () As Integer
Declare Function HideWaitCursor Lib "CSETUP.dll" () As Integer


'----------------------
' Interface functions
'----------------------
Global Const BROSSE_PBLANC = 1          ' Define BRUSH color for background.... ( WHITE )
Global Const BROSSE_PNOIR = 2           ' ... ( BLACK )
Global Const BROSSE_GRIS100 = 3         ' ... ( VERY LIGHT GREY )
Global Const BROSSE_PGRISC = 4          ' ... ( LIGHT GREY )
Global Const BROSSE_GRIS150 = 5         ' ... ( MIDDLE GREY )
Global Const BROSSE_PGRISF = 6          ' ... ( DARK GREY )
Global Const BROSSE_CYAN25 = 7          ' ... ( VERY LIGHT CYAN )
Global Const BROSSE_CYAN50 = 8          ' ... ( LIGHT CYAN )
Global Const BROSSE_CYAN100 = 9         ' ... ( MEDIUM CYAN )
Global Const BROSSE_PCYANC = 10         ' ... ( CYAN )
Global Const BROSSE_PCYANF = 11         ' ... ( DARK CYAN )
Global Const BROSSE_CYAN200 = 12        ' ... ( VERY DARK CYAN )
Global Const BROSSE_BLEU50 = 13         ' ... ( LIGHT BLUE )
Global Const BROSSE_BLEUVERT = 14       ' ... ( LIGHT BLUE GREEN )
Global Const BROSSE_BLEU150 = 15        ' ... ( MEDIUM BLUE )
Global Const BROSSE_PBLEUC = 16         ' ... ( BLUE )
Global Const BROSSE_BLEU200 = 17        ' ... ( DARK BLUE )
Global Const BROSSE_PBLEUF = 18         ' ... ( VERY DARK BLUE )
Global Const BROSSE_BLEU250 = 19        ' ... ( BLUE BLACK )
Global Const BROSSE_VERT25 = 20         ' ... ( VERY LIGHT GREEN )
Global Const BROSSE_VERT50 = 21         ' ... ( LIGHT GREEN )
Global Const BROSSE_VERT100 = 22        ' ... ( MEDIUM GREEN )
Global Const BROSSE_PVERTC = 23         ' ... ( SALAD GREEN )
Global Const BROSSE_VERT200 = 24        ' ... ( LIGHT DARK GREEN )
Global Const BROSSE_VERT250 = 25        ' ... ( MEDIUM DARK GREEN )
Global Const BROSSE_PVERTF = 26         ' ... ( DARK GREEN )
Global Const BROSSE_KAKI = 27           ' ... ( KHAKI )
Global Const BROSSE_JAUNE50 = 28        ' ... ( VERY LIGHT YELLOW )
Global Const BROSSE_JAUNE100 = 29       ' ... ( LIGHT YELLOW )
Global Const BROSSE_PJAUNEC = 30        ' ... ( YELLOW )
Global Const BROSSE_JAUNE150 = 31       ' ... ( DARK YELLOW )
Global Const BROSSE_ORANGE = 32         ' ... ( ORANGE )
Global Const BROSSE_BEIGE = 33          ' ... ( BEIGE )
Global Const BROSSE_PJAUNEF = 34        ' ... ( VERY DARK YELLOW )
Global Const BROSSE_MARRON = 35         ' ... ( BROWN )
Global Const BROSSE_ROSE100 = 36        ' ... ( PINK )
Global Const BROSSE_ROUGE100 = 37       ' ... ( LIGHT RED )
Global Const BROSSE_PROUGEC = 38        ' ... ( RED )
Global Const BROSSE_PROUGEF = 39        ' ... ( DARK RED )
Global Const BROSSE_FUSH50 = 40         ' ... ( VERY LIGHT MAGENTA )
Global Const BROSSE_FUSH100 = 41        ' ... ( LIGHT MAGENTA )
Global Const BROSSE_PFUSHC = 42         ' ... ( MAGENTA )
Global Const BROSSE_PFUSHF = 43         ' ... ( DARK MAGENTA )
Global Const BROSSE_3DRECT = 44         ' ... ( SPECIAL - 3D RECTANGLE )
Global Const BROSSE_3DCIRCLE = 45       ' ... ( SPECIAL - 3D CIRCLE )
Global Const BROSSE_3DLOZANGE = 46      ' ... ( SPECIAL - 3D DIAMOND )

Declare Function SetPatternBrush Lib "CSETUP.dll" (ByVal hi%, ByVal iBitmap%) As Integer
Declare Function SetPatternBrushStandard Lib "CSETUP.dll" (ByVal iModel%) As Integer
Declare Function SetupSetTitle Lib "CSETUP.dll" (ByVal szDialogTitle$) As Integer       '[new]
Declare Function SetupSetBeepMode Lib "CSETUP.dll" (ByVal bDiskBeepMode%) As Integer    '[new]
Declare Function SetLogo Lib "CSETUP.dll" (ByVal hi%, ByVal iSetupLogo%) As Integer
Declare Function SetLogoType Lib "CSETUP.dll" (ByVal bTextType%) As Integer
Declare Function SetTextLogo Lib "CSETUP.dll" (ByVal szLogoText$, ByVal szFont$, ByVal iLogoSize%, ByVal clrLogo As Long, ByVal b3D%, ByVal bItalic%) As Integer
Declare Function SetTextDetail Lib "CSETUP.dll" (ByVal szLogoText$, ByVal szFont$, ByVal iLogoSize%, ByVal clrLogo As Long, ByVal b3D%, ByVal bItalic%) As Integer      '[new]
Declare Function SetVerifyMode Lib "CSETUP.dll" (ByVal bVerify%) As Integer

Global Const LANGUAGE_ENGLISH = 0               ' Language definition ( use French or English )
Global Const LANGUAGE_FRENCH = 1                ' ...
Global Const LANGUAGE_GERMAN = 2                ' NOT AVAILABLE FOR THIS VERSION !!!
Global Const LANGUAGE_SPANISH = 3               ' NOT AVAILABLE FOR THIS VERSION !!!

Declare Function SetupSetLanguage Lib "CSETUP.dll" (ByVal cSetupLanguage%) As Integer   '[new]
Declare Function ShowMainWindow Lib "CSETUP.dll" (ByVal hOriginalWnd%) As Integer



'------------------
' 6 - New functions
'------------------
Declare Sub CenterDialogBox Lib "CSETUP.dll" (ByVal m_hWnd%)
Declare Sub GiveTheHand Lib "CSETUP.dll" ()
Declare Function CopyFile Lib "CSETUP.dll" (ByVal szSrcFile$, ByVal szDestFile$) As Integer
Declare Function IsFileNewer Lib "CSETUP.dll" (ByVal szFileIn$, ByVal szFileOut$) As Integer
Declare Sub GetBackupName Lib "CSETUP.dll" (ByVal szFileIn$, szNewName$)
Declare Function BackupFile Lib "CSETUP.dll" (ByVal szFileIn$) As Integer
Declare Sub SetupBrowseDir Lib "CSETUP.dll" (ByVal hWnd%, ByVal szBuffer$ )
Declare Function SetupHasWin4Look Lib "CSETUP.dll" () As Integer





' // GENERIC SAMPLE ----------------------------------------------------------------------------------

'General ---
Global Const szYourName$ = "TEST"
Global Const szPassword$ = ""
Global Const iBackgroundPaper% = BROSSE_3DCIRCLE
Global Const bBeepMode% = 1
Global Const bVerifyMode% = 1
Global Const szProductName$ = "VB Setup Sample"
Global Const szSetupBoxTitle$ = "VB Setup Sample - Installation"
Global Const szDefaultDir$ = "VBSETUP\"

'Titles ---
Global Const Dialog1Title$ = "VB Setup Sample - 1"
Global Const Dialog2Title$ = "VB Setup Sample - Options"
Global Const Dialog3Title$ = "VB Setup Sample - 3"

'Panel 1 (first panel)---
Global Const iPanel1Bitmap% = 0
Global Const szPanel1Title$ = "Panel 1 Title"
Global Const szPanel1TitleFont$ = "Arial"
Global Const iPanel1TitleSize% = 56
Global Const bPanel1Title3D% = 1
Global Const bPanel1TitleBold% = 1
Global Const szPanel1Detail$ = "Generic Setup program for VB 1.0..."
Global Const szPanel1DetailFont$ = "Times New Roman"
Global Const iPanel1DetailSize% = 26
Global Const bPanel1Detail3D% = 1
Global Const bPanel1DetailBold% = 1
'I don' t know how we can use RGB with VB so we change these colors on the LOAD event...
Global lPanel1TitleColor& '=RGB(192,192,192)
Global lPanel1DetailColor& '=RGB(0,128,128)

'Panel 2 (directory)---
Global Const iPanel2Bitmap% = 0
Global Const szPanel2Title$ = "Panel 2 Title"
Global Const szPanel2TitleFont$ = "Arial"
Global Const iPanel2TitleSize% = 56
Global Const bPanel2Title3D% = 1
Global Const bPanel2TitleBold% = 1
Global Const szPanel2Detail$ = "Generic Setup program for VB 1.0..."
Global Const szPanel2DetailFont$ = "Times New Roman"
Global Const iPanel2DetailSize% = 26
Global Const bPanel2Detail3D% = 1
Global Const bPanel2DetailBold% = 1
'I don' t know how we can use RGB with VB so we change these colors on the LOAD event...
Global lPanel2TitleColor& '=RGB(192,192,192)
Global lPanel2DetailColor& '=RGB(0,128,128)

'Panel 3 (options)---
Global Const iPanel3Bitmap% = 0
Global Const szPanel3Title$ = "Panel 3 Title"
Global Const szPanel3TitleFont$ = "Arial"
Global Const iPanel3TitleSize% = 56
Global Const bPanel3Title3D% = 1
Global Const bPanel3TitleBold% = 1
Global Const szPanel3Detail$ = "Generic Setup program for VB 1.0..."
Global Const szPanel3DetailFont$ = "Times New Roman"
Global Const iPanel3DetailSize% = 26
Global Const bPanel3Detail3D% = 1
Global Const bPanel3DetailBold% = 1
'I don' t know how we can use RGB with VB so we change these colors on the LOAD event...
Global lPanel3TitleColor& '=RGB(192,192,192)
Global lPanel3DetailColor& '=RGB(0,128,128)


'Shared batch ---
Global Const bUseSharedBatch% = 0
Global Const szBatchFile$ = ""
Global Const szBatchDir$ = ""

'log file ---
Global Const bUseLogFile% = 1
Global Const szLogFileName$ = "SETUP.LOG"

'Sections (groups)---
Type SECTIONENTRY
 bSelected As Integer
 lSize As Long
 Name As String
 Directory As String
 ELabel As String
 FLabel As String
End Type

Global Const NumberOfSections% = 1
Global Section(1 To NumberOfSections%) As SECTIONENTRY


'Icons ---
Type SICONENTRY
 szIconRelativeName As String
 EGroupName As String
 EIconName As String
 EIconText As String
 FGroupName As String
 FIconName As String
 FIconText As String
End Type

Global Const NumberOfIcons% = 1
Global IconEntry(1 To NumberOfIcons%) As SICONENTRY

' Winfile Associations ---
Global Const bMakeAssociation% = 0
Type sWFAsso
 szProgName As String
 szExt As String
End Type

Global Const NumberOfAsso% = 1
Global WFAsso(1 To NumberOfAsso%)  As sWFAsso


' And program to launch ---
Global Const szLaunch$ = ""


'--------------------------------------------------------------
'Other variables to build the Setup...
'--------------------------------------------------------------
Global szOriginalPath$
Global szTempSetupPath$
Global hIntance%
Global bIsSetupOK%
Global iLanguage%
Global UserPath$
Global UserConfigSize&
Global bRunningSetup%
Global szWinDir$
Global FirstCanClose%
Global DirCanClose%
Global OptionCanClose%
Global bUserAbort%




